
Summary:        Small system to administer web accounts across the KDE desktop
Name:           kaccounts-integration
Version:        23.08.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
URL:            https://www.kde.org/applications/internet/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Requires:       kaccounts-providers
Requires:       accounts-qml-module
Requires:      signon-plugin-oauth2
Requires:      signon-ui
Requires:      lib64signon-glib2
Requires:      lib64accounts-qt1
Requires:      libaccounts-glib
Requires:      lib64accounts-glib1
Requires:      signon
Requires:      lib64signon-qt5_1
Requires:      signond
Requires:      lib64signon-extension1
Requires:      lib64signon-plugins1
Requires:      lib64signon-plugins-common1

%description
Small system to administer web accounts across the KDE desktop.

%files -f %name.lang
/usr/lib64/qt5/plugins/kaccounts/daemonplugins/kaccounts_kio_webdav_plugin.so
/usr/lib64/qt5/plugins/kf5/kded/kded_accounts.so
/usr/lib64/qt5/plugins/plasma/kcms/systemsettings/kcm_kaccounts.so
/usr/lib64/qt5/qml/org/kde/kaccounts/libkaccountsdeclarativeplugin.so
/usr/lib64/qt5/qml/org/kde/kaccounts/qmldir
/usr/share/kpackage/kcms/kcm_kaccounts/contents/ui/AccountDetails.qml
/usr/share/kpackage/kcms/kcm_kaccounts/contents/ui/AvailableAccounts.qml
/usr/share/kpackage/kcms/kcm_kaccounts/contents/ui/MessageBoxSheet.qml
/usr/share/kpackage/kcms/kcm_kaccounts/contents/ui/RemoveAccountDialog.qml
/usr/share/kpackage/kcms/kcm_kaccounts/contents/ui/RenameAccountDialog.qml
/usr/share/kpackage/kcms/kcm_kaccounts/contents/ui/main.qml
/usr/share/applications/kcm_kaccounts.desktop
#--------------------------------------------------------------------

%define kaccounts_major 2
%define libkaccounts %mklibname kaccounts %{kaccounts_major}

%package -n %libkaccounts
Summary:        Small system to administer web accounts across the KDE desktop
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkaccounts
Small system to administer web accounts across the KDE desktop.

%files -n %libkaccounts
%_kf5_libdir/libkaccounts.so.%{kaccounts_major}*
%_kf5_libdir/libkaccounts.so.%{version}

#--------------------------------------------------------------------

%define kaccounts_devel %mklibname kaccounts -d

%package -n %kaccounts_devel
Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version-%release
Requires:       %libkaccounts = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kaccounts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kaccounts_devel
%_includedir/KAccounts/
%_kf5_libdir/cmake/KAccounts/
%_kf5_libdir/libkaccounts.so

#--------------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%find_lang %name

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

